#ifndef morpheo_tools_viewer_bdd_Component_h
#define morpheo_tools_viewer_bdd_Component_h

#include <iostream>
#include "Tools/Viewer/Bdd/include/PortMap.h"
#include "Tools/Viewer/Bdd/include/ListePorts.h"

#include <iterator>
#include <qlist.h>

using namespace std;
namespace morpheo{
namespace tools{
namespace viewer{
namespace bdd{     

  class Component : public ListePorts
    {
    private:
      string comment;
      string name;
      string type;
      int pos_x;
      int pos_y;
      int size_x;
      int size_y;
      QList<morpheo::tools::viewer::bdd::PortMap> *signal;

  
      
    public:
      int get_x();//LONGUEUR EN LONG
      int get_y();//LONGUEUR EN LARGE
      string getComment();
      string getName();
      string getType();
     
      QList<morpheo::tools::viewer::bdd::PortMap> *getPortMap();

      morpheo::tools::viewer::bdd::Coord *get_Position();
      void setComment(string s);
      Component(string n,string t, int p_x,int p_y,int s_x,int s_y);
      ~Component();

      void addPortMap(PortMap *pm);
      
    };//end class Component

};//end bdd
};//end viewer
};//end tools
};//end morpheo

#endif
